org.apache.fontbox.ttf.table.common

## Class LookupTable

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.LookupTable

    public class LookupTable
    extends Object

This class models the Lookup Table in the Open Type layout common tables.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`LookupTable(int lookupType, int lookupFlag, int markFilteringSet, LookupSubTable[] subTables)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLookupFlag()`
`int` `getLookupType()`
`int` `getMarkFilteringSet()`
`LookupSubTable[]` `getSubTables()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LookupTable

    public LookupTable(int lookupType,
                       int lookupFlag,
                       int markFilteringSet,
                       LookupSubTable[] subTables)

### Method Detail

#### getLookupType

    public int getLookupType()

#### getLookupFlag

    public int getLookupFlag()

#### getMarkFilteringSet

    public int getMarkFilteringSet()

#### getSubTables

    public LookupSubTable[] getSubTables()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`